%define serial  1

Name:           lha
Epoch:          %{serial}
Version:        1.14i
Release:        %mkrel 20160202.1
Summary:        An archiving and compression utility for LHarc format archives
License:        Freeware-like
Group:          Archiving/Compression 
URL:            https://github.com/jca02266/lha
Source0:        https://github.com/jca02266/lha/archive/master.zip
Source1:        http://packages.debian.org/changelogs/pool/non-free/l/lha/current/copyright

%description
LhA is an archiving and compression utility for LHarc format archive.
LhA is mostly used in the Amiga and in the DOS world, but can be used
under Linux to extract files from .lha and .lzh archives.

Install the LhA package if you need to extract files from .lha or .lzh
Amiga or DOS archives, or if you have to build LhA archives to
be read on the Amiga or DOS.


%prep
%setup -q -n %{name}-master

cp %{SOURCE1} .

%build
autoreconf -is
%configure2_5x
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_mandir}/ja/mann
install -m 644 man/lha.n %{buildroot}%{_mandir}/ja/mann/lha.n

%files
%doc copyright
%{_bindir}/lha
%{_mandir}/man1/lha.1*
%lang(ja) %{_mandir}/ja/mann/lha.n*


%changelog
* Thu Apr 14 2016 ns80 <ns80> 1:1.14i-20160202.1.mga5
+ Revision: 1001364
- update to latest git commit (mga#17535)

* Wed Oct 15 2014 umeabot <umeabot> 1:1.14i-26.mga5
+ Revision: 742923
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.14i-25.mga5
+ Revision: 681310
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:1.14i-24.mga4
+ Revision: 506892
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:1.14i-23.mga3
+ Revision: 356766
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 kamil <kamil> 1:1.14i-22.mga2
+ Revision: 199595
- rebuild against new gcc 4.6.2
- clean .spec

* Sun Jan 23 2011 ennael <ennael> 1:1.14i-21.mga1
+ Revision: 33463
- imported package lha


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.14i-21mdv2011.0
+ Revision: 606404
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.14i-20mdv2010.1
+ Revision: 520139
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:1.14i-19mdv2010.0
+ Revision: 425509
- rebuild

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.14i-18mdv2009.1
+ Revision: 316439
- use the %%ldflags macro

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.14i-17mdv2009.1
+ Revision: 316241
- make it respect old OPTIMIZE CFLAGS (use mkstemp)
- use LDFLAGS from the %%configure macro

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1:1.14i-16mdv2009.0
+ Revision: 222427
- rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1:1.14i-15mdv2008.1
+ Revision: 150445
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot
- do not hardcode bz2 extension

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 06 2007 Olivier Blin <oblin@mandriva.com> 1:1.14i-14mdv2008.0
+ Revision: 48938
- add copyright file from Debian

* Wed Jul 04 2007 Olivier Blin <oblin@mandriva.com> 1:1.14i-13mdv2008.0
+ Revision: 48033
- apply security fix for CVE-2007-2030 (#31213)


* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 1.14i-12mdv2007.0
+ Revision: 108282
- drop packager tag
- Import lha

* Sat Jan 13 2007 Gtz Waschk <waschk@mandriva.org> 1.14i-12mdv2007.1
- unpack patches

* Sat Dec 31 2005 Guillaume Cottenceau <gc@mandrakesoft.com> 1.14i-12mdk
- Rebuild

* Fri Sep 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.14i-11mdk
- add symlink patch from fedora
- security update (CAN-2004-0769, CAN-2004-0771, CAN-2004-0694, CAN-2004-0745)

* Wed May 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.14i-10mdk
- security update (buffer overflow, directory traversal)

* Fri Feb 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.14i-9mdk
- language tag japanese man page
- fix url

